ubuntu17.04 安装网易云音乐解决依赖问题

版权声明:本文为博主原创文章,遵循 CC 4.0 by-sa 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/u013806196/article/details/70234055

ubuntu17.04 安装网易云音乐解决依赖问题

ubuntu从16.10升级到17.04以后,网易云音乐没了,官网上下载deb包安装后提示缺少依赖libqt5libqgtk2。

libqt5libqgtk2在新的软件源中已经废弃,被qt5-style-plugins取代。

参考 这篇博客 ,修改了deb包的依赖,进行了重新打包,成功安装了网易云音乐。

新建文件夹

mkdir extract
mkdir extract/DEBIAN
mkdir build

解压出包中的文件到extract目录下

dpkg -X netease-cloud-music_1.0.0_amd64_ubuntu16.04.deb extract/

解压出包的控制信息extract/DEBIAN/下

dpkg -e netease-cloud-music_1.0.0_amd64_ubuntu16.04.deb extract/DEBIAN/

DEBIAN下有一个control文件,编辑文件,将Depends:libqt5libqgtk2替换为qt5-style-plugins
打包文件成deb包

dpkg-deb -b extract/ build/

进入build文件夹,即可安装新的deb包,大功告成

cd build
sudo dpkg -i netease-cloud-music_1.0.0_amd64_ubuntu16.04.deb
展开阅读全文

没有更多推荐了,返回首页